Summary: A collection of CD/DVD utilities.
Name: cdrtools
Version: 1.10
Release: 4zisofs3
License: GPL
Group: Applications/System
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/cdrtools-%{version}.tar.gz
Patch0: cdrtools-1.10-conflocation.patch
Patch1: mkisofs-changelog.patch 
Patch2: cdrtools-1.10-linux.patch
Patch3: cdrtools-1.11a09-zisofs.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Epoch: 7

%description
cdrtools is a collection of CD/DVD utilities.


%package -n cdrecord
Summary: A command line CD/DVD recording program.
Group: Applications/Archiving

%description -n cdrecord
Cdrecord is an application for creating audio and data CDs. Cdrecord
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package -n cdrecord-devel
Summary: The libschily SCSI user level transport library.
Group: Development/Libraries
Requires: cdrecord = %{version}

%description -n cdrecord-devel
The cdrecord-devel package contains a SCSI user level transport
library which can talk to any SCSI device without a special driver for
the device. Cdrecord can easily be ported to any system with a SCSI
device driver similar to the scg driver.

%package -n mkisofs
Summary: Creates an image of an ISO9660 filesystem.
Group: Applications/System
Obsoletes: cdrecord-mkisofs

%description -n mkisofs
The mkisofs program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  Mkisofs takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  Mkisofs is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the mkisofs package if you need a program for writing
CD-ROMs.

%package -n cdda2wav
Group: Applications/Multimedia
Summary: A utility for sampling/copying .wav files from digital audio CDs.
Obsoletes: cdrecord-cdda2wav

%description -n cdda2wav
Cdda2wav is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates.  Cdda2wav can also be used as a CD player.

%prep
%setup -q 
%patch0 -p1 -b .confloc
%patch1 -p1 -b .changelog
%patch2 -p1 -b .linux
%patch3 -p1 -b .zisofs

# Turn off buggy CD_EXTRA code.
sed -e 's/define CD_EXTRA/undef CD_EXTRA/;' < cdda2wav/toc.c > cdda2wav/toc.c.tmp
mv cdda2wav/toc.c.tmp cdda2wav/toc.c

%build
ln -s i686-linux-gcc.rul RULES/ia64-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/ia64-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/s390-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/s390-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/s390x-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/s390x-linux-cc.rul
cd conf
aclocal
libtoolize --copy --force
cd ..
./Gmake.linux

%install
rm -rf $RPM_BUILD_ROOT
mandir=%{_mandir}
./Gmake.linux "MANDIR=${mandir#/usr}" "INS_BASE=$RPM_BUILD_ROOT/usr" install

# Installing Header files for use with devel package
[ -e  include/scg ] && rm include/scg

install -d $RPM_BUILD_ROOT/usr/include/schily/scg
install -m 644 include/* $RPM_BUILD_ROOT/usr/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT/usr/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT/usr/include/schily/scg

groff -Tps -man doc/cdrecord.man > doc/cdrecord.ps

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files -n cdrecord
%defattr(-,root,root)
%doc AN-%{version} doc/cdrecord.ps Changelog README* Linux.scsi-patch
%doc cdrecord/cdrecord.dfl
%config /etc/cdrecord.conf
/usr/bin/cdrecord
/usr/bin/readcd
/usr/bin/devdump
/usr/bin/isoinfo
/usr/bin/isodump
/usr/bin/isovfy
%{_mandir}/man8/isoinfo.8*
%{_mandir}/man1/cdrecord.1*

%files -n cdrecord-devel
%defattr(-,root,root)
/usr/lib/libdeflt.a
/usr/lib/libscg.a
/usr/lib/libschily.a
/usr/include/schily

%files -n mkisofs
%defattr(-,root,root)
%doc AN-%{version} mkisofs/COPYING mkisofs/ChangeLog mkisofs/ChangeLog.redhat
%doc mkisofs/README*
/usr/bin/mkisofs
%{_mandir}/man8/mkisofs.8*

%files -n cdda2wav
%defattr(-,root,root)
%doc AN-%{version} cdda2wav/GPL cdda2wav/FAQ cdda2wav/OtherProgs
%doc cdda2wav/README* cdda2wav/Frontends cdda2wav/HOWTOUSE
/usr/bin/cdda2wav
%{_mandir}/man1/cdda2wav.1*

%changelog
* Tue Oct 30 2001 H. Peter Anvin <hpa@zytor.com> 1.10-4zisofs2
- Actually *APPLY* the zisofs patch. DUUUUUUH!

* Thu Oct 25 2001 H. Peter Anvin <hpa@zytor.com> 1.10-4zisofs
- Merged in zisofs patch.

* Wed Aug  8 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.10-4
- disabled CD-EXTRA code; #50773

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-3
- Add Epoch - the new cdrecord subpackage had a smaller Epoch than the
  standalone cdrecord package from 7.1, causing update problems (#49963)

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fix dependacy bug

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- split to a cdrtools srpm
- itterated to 1.10
- applied alane@geeksrus.net's patch to fix bug #19841

* Thu Apr 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390x

* Thu Apr 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- update to cdrtools 1.10a19

* Wed Feb 14 2001 Jakub Jelinek <jakub@redhat.com>
- Fix typos so that it builds with glibc 2.2.2

* Sat Dec  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add S/390 support

* Fri Dec 01 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix permissions on /usr/share/doc

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- don't hard code manpath, it breaks when rebuilt it on 6.2 (Bug #20132)

* Tue Aug  8 2000 Crutcher Dunnavant <crutcher@redhat.com>
- added a not to the changelog to indicate that the 
- graft-points option is no longer assumed.

* Thu Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 1.9 - redid patches, dropped the cdda2wav ioctl
  one as the code has changed
- use epoch

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- oops, rebuilt to fix the mkisofs mess I made

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- fixes for ia64

* Thu Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch for %%{_mandir}
- use %%{_tmppath} and %%{_mandir}
- don't use %%{prefix}
- exclude ia64 

* Wed May 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- upgraded to 1.8.1 - updated the redhat patch (renamed to
  "conflocation"), remove the SILO patch (it should be
  supported now...). Is the IDE-patch still necesarry?
- upgraded source location
- don't strip manually


* Wed Feb 23 2000 Bill Nottingham <notting@redhat.com>
- fix cdda2wav on sparc, and probably other IDE drives...

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- version 1.8 final
- man pages are compressed

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- get rid of useless defines at the top of the spec file

* Fri Jan 28 2000 Cristian Gafton <gafton@redhat.com>
- version 1.8a40
- according to the author, cdda2wav and mkisofs are more recent in this
  package, so build them out of this tree too
- add sparc patch from jakub

* Sun Dec 12 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.8a34

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- require serial:version

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- a29

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- move config file to a sane place (/etc/cdrecord.conf)

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- 1.8a25

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- removed the mkisofs subpackage - we have mkisofs provided by 
  a'nother package (doh!)
- moved former mkisofs diagnostic binaries to the main package
- get rod of the cdda2wav too; cdparanoia is now in the distribution and
  it is a whole lot better too

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux 6.1 from Ryan Weaver.
